-- This file has been generated from package.yaml by hpack version 0.28.2.
--
-- see: https://github.com/sol/hpack
--
-- hash: 70c43303dd349ebc1521446c45cf5517c27ee13f5ee7218f56981f7a7a9f2e9e

name:           mureta
version:        0.1.0.0
category:       Web
homepage:       https://github.com/githubuser/mureta#readme
author:         Author name here
maintainer:     example@example.com
copyright:      2018 Author name here
license:        BSD3
license-file:   LICENSE
build-type:     Simple
cabal-version:  >= 1.10
extra-source-files:
    README.md

library
  exposed-modules:
      Mureta.Handlers
      Mureta.Types
  other-modules:
      Paths_mureta
  hs-source-dirs:
      src
  ghc-options: -Wall -Wno-unused-do-bind
  build-depends:
      aeson
    , aeson-qq
    , base >=4.7 && <5
    , containers
    , random
    , servant
    , servant-server
    , stm
    , transformers
    , unordered-containers
    , uuid
    , warp
    , wreq
  default-language: Haskell2010

executable mureta
  main-is: mureta.hs
  other-modules:
      Paths_mureta
  hs-source-dirs:
      app
  ghc-options: -Wall -Wno-unused-do-bind
  build-depends:
      aeson
    , aeson-qq
    , base >=4.7 && <5
    , containers
    , mureta
    , random
    , servant
    , servant-server
    , stm
    , transformers
    , unordered-containers
    , uuid
    , warp
    , wreq
  default-language: Haskell2010

test-suite spec
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      HttpBin.Server
      Mureta.Handlers
      Mureta.Types
      Paths_mureta
  hs-source-dirs:
      httpbin
      test
      src
  ghc-options: -Wall -Wno-unused-do-bind
  build-depends:
      aeson
    , aeson-pretty
    , aeson-qq
    , async
    , base >=4.7 && <5
    , base64-bytestring
    , bytestring
    , case-insensitive
    , containers
    , hspec-wai
    , hspec-wai-json
    , http-types
    , lens
    , lens-aeson
    , mureta
    , random
    , servant
    , servant-server
    , snap-core
    , snap-server
    , stm
    , tasty
    , tasty-hspec
    , tasty-hunit
    , text
    , time
    , transformers
    , unix-compat
    , unordered-containers
    , uuid
    , wai
    , wai-extra
    , warp
    , wreq
  default-language: Haskell2010
